// Handles textures for the Scourge engine. Each texture need only be declared and initialized once, and can then be reused each time
// it's needed to save on memory

#ifndef SCOURGE_TEXTURE_H
#define SCOURGE_TEXTURE_H

#include <gl/gl.h>
#include <gl/glext.h>
#include <SDL.h>

class SC_TEXTURE
{
    // A SC Texture only handles BMP at this moment in time. TGA and PNG support is imminent.
    public:
        GLuint tex;

        SC_TEXTURE(char *fname = "NONE");
        virtual ~SC_TEXTURE(){}

        void LoadBMP(char* fname);

};

#endif
