// Very minimal header.

#ifndef SCOURGE_APP_H
#define SCOURGE_APP_H
// '#pragma once' tends to screw up more often than not

#include "SDL.h"
#include "scourge.h"

// The all important timer function

static Uint32 next_time; // Important timer-related variable

Uint32 retTime(void)
{
    Uint32 now;

    now = SDL_GetTicks();
    if(next_time <= now)
    {
        return 0;
    }
    else
    {
        return next_time - now;
    }
}

// Used by the dresize function
typedef enum
{
    projection, ortho
}res_mode;


#endif
